Index: debian/changelog
===================================================================
--- debian/changelog	(revision 826)
+++ debian/changelog	(working copy)
@@ -1,3 +1,10 @@
+devscripts (2.10.11) UNRELEASED; urgency=low
+
+  * Make --mainttrailer default to on when using the "changelog"
+    release heuristic.
+
+ -- Joey Hess <joeyh@debian.org>  Wed, 31 Oct 2007 19:51:14 -0400
+
 devscripts (2.10.10) unstable; urgency=low
 
   [ Adam D. Barratt ]
Index: scripts/debchange.1
===================================================================
--- scripts/debchange.1	(revision 826)
+++ scripts/debchange.1	(working copy)
@@ -58,9 +58,10 @@
 upload failed. The alternate "changelog" heuristic assumes the package has
 been released unless its changelog contains "UNRELEASED" in the
 distribution field. If this heuristic is enabled then the distribution will
-default to "UNRELEASED" in new changelog entries. This can be useful if a
-package can be released by different maintainers, or if you do not keep the
-upload logs.
+default to "UNRELEASED" in new changelog entries, and the
+\fB\-\-mainttrailer\fR option described below will be automatically
+enabled. This can be useful if a package can be released by different
+maintainers, or if you do not keep the upload logs.
 .PP
 If either \fB\-\-increment\fR or \fB\-\-newversion\fR is used, the
 name and email for the new version will be determined as follows.  If
@@ -161,9 +162,10 @@
 version number has changed.
 .TP
 .BR \-\-edit ", " \-e
-Update the changelog timestamp, and start an editor.
+Edit the changelog in an editor.
 .TP
 .BR \-\-release ", " \-r
+Finalize the changelog for a release.
 Update the changelog timestamp. If the distribution is set to
 "UNRELEASED", change it to the distribution from the previous changelog entry 
 (or another distribution as specified by \fB\-\-distribution\fR).  If there are 
@@ -265,13 +267,14 @@
 multi-maintainer mode is in use; you will probably wish to check the
 changelog manually before uploading it in such cases.
 .TP
-.BR \-\-mainttrailer ", " \-t
-Do not modify the existing changelog trailer line (i.e. the maintainer and 
-date-stamp details).  This option differs from \fB\-\-maintmaint\fR in that it 
-will use multi-maintainer mode if appropriate, with the exception of editing 
-the trailer.  This option will be ignored if combined with options that require 
-the trailer to be modified (e.g. \fB\-\-create\fR, \fB\-\-release\fR, 
-\fB\-i\fR, \fB\-\-qa\fR, etc.)
+.BR \-\-[no]mainttrailer ", " \-t
+If mainttrailer is set, it will avoid modifying the existing changelog
+trailer line (i.e. the maintainer and date-stamp details), unless
+used with options that require the trailer to be modified
+(e.g. \fB\-\-create\fR, \fB\-\-release\fR, \fB\-i\fR, \fB\-\-qa\fR, etc.)
+This option differs from \fB\-\-maintmaint\fR in that it will use
+multi-maintainer mode if appropriate, with the exception of editing the
+trailer.  
 .TP
 \fB\-\-check-dirname-level\fR \fIN\fR
 See the above section "Directory name checking" for an explanation of
Index: scripts/debchange.pl
===================================================================
--- scripts/debchange.pl	(revision 826)
+++ scripts/debchange.pl	(working copy)
@@ -272,7 +272,7 @@
 	   "multimaint!" => \$opt_multimaint,
 	   "multi-maint!" => \$opt_multimaint,
 	   "m|maintmaint" => \$opt_m,
-	   "t|mainttrailer" => \$opt_t,
+	   "t|mainttrailer!" => \$opt_t,
 	   "ignore-dirname" => \$opt_ignore,
 	   "check-dirname-level=s" => \$opt_level,
 	   "check-dirname-regex=s" => \$opt_regex,
@@ -284,6 +284,12 @@
 
 $opt_news = 'debian/NEWS' if defined $opt_news and $opt_news eq '';
 
+if (! defined $opt_t && $opt_release_heuristic eq 'changelog') {
+print "forced on\n";
+    $opt_t = 1;
+}
+print "t: $opt_t\n";
+
 if ($opt_noconf) {
     fatal "--no-conf is only acceptable as the first command-line option!";
 }
